Mercer County Permits

Welcome, Guest!
Log in | Sign up
 
Font Size:
Moving Workover Rigs & Crane Permit# 2021-02392, UID# 3048
App. Status: Expired

Valid: 06/21/2021 - 06/24/2021
Mercer County Highway Department
1809 7th ST NE
Beulah, ND 58523-0412
(701)873-5586
 

Terms

General
  • The applicant or permittee, as a condition for obtaining an over-sized or overweight, or both, permit, shall assume all responsibility for accidents, damage, or injury to any persons or damage to public or private property caused by the movement of any oversize of overweight, or both , vehicle or load covered by the permit while upon Mercer County roadways. The applicant or permitee agrees to indemnify and hold harmless the Mercer County Sheriff's Office, County of Mercer, their officers, and employees from any and all claims resulting directly or indirectly from the movement of an oversize or overweight, or both, vehicle or load on any Mercer County Roadway.

  • This permit to be carried on vehicle during the above-mentioned movement . This permit shall be open to inspection by any peace officer.

  • Payment for permit must be submitted after approval.

Invoice #2755 (06/20/2021)

Charge Cost Quantity Total
Non-Taxable
added 06/20/2021 8:10 PM

Base fee for drilling rigs and workover rigs. Select additional fees from the schedule based on vehicle size and weight.

$500.00 x 1 $500.00
added 06/20/2021 8:10 PM

Fee for 65,000 road

$90.00 x 1 $90.00
added 06/20/2021 3:58 PM

Select this fee if the empty load is overlength. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
added 06/20/2021 3:58 PM

Select this fee if the empty load is overwidth. Additional fees will be applied during review of the application. **Do not pay until you have received an email that your permit has been approved.**

$30.00 x 1 $30.00
Grand Total
Total $650.00
Payment 06/21/2021$650.00
Due$0.00
Action: Print  

Approvals

ApprovalSignatureOptions
ApplicantJared Huffines - 06/20/2021 3:58 PM
a32ab595b8e0f1c50c19d016bdc30525
b03c77b90a2bb5043a5f8c090f8e3534
 
#1 Permit Issuing OfficialKen Miller - 06/20/2021 8:11 PM
e8ee78f28a0b58e91e0b0fa6a5699539
fc52f383484afbc89a9a314be62d7e0a
 
Permit has been approved. All signatures have been obtained.